530-5.5.1 Authentication Required Net::SMTP::SSL, GMail, Perl

Раздел: Программирование
Написано: 8.06.2011
Автор: Antonio
Просмотров темы: 5 201 раз

Вопрос: При использовании модуля Perl Net::SMTP::SSL для отправки письма через почту, которая работает через SSL (например, GMail), может происходить ошибка

Net::SMTP::SSL=GLOB(0x8285b44)<<< 530-5.5.1 Authentication Required. Learn more at
Net::SMTP::SSL=GLOB(0x8285b44)<<< 530 5.5.1 http://mail.google.com/support/bin/answer.py?answer=14257

error auth gmail

Решение: чтобы работала авторизация, нужно установить модуль Perl p5-Authen-SASL
Я ставил его из портов (FreeBSD), таким стандартным образом:

cd /usr/ports/security/p5-Authen-SASL ; make install clean

Варианты установки зависят от знаний, желания и дистрибутива.


1 звезда2 звезды3 звезды4 звезды5 звезд (Пока оценок нет)

Поделиться с друзьями:

Ещё похожие заметки:


1 Comment

axaxa
Ноя 21, 2013 at 15:30

;) ;) ;) :-D


 

Написать


Копирование информации с сайта возможно только с указанием прямой ссылки - https://nemcd.com